/* This function takes a freq and the tree and returns the
   structure of type NOTE_TRAIT from the tree whose freq 
   most closely matches the input freq.
*/

#include "note.h"

NOTE_TRAIT freq_to_name(float freq,NOTE_TRAIT* freq_note_list)
{
   int current = 0;
   int i=0;
   NOTE_TRAIT error={0.0, "err", 0, 0.0, 0.0, 0, 0};

   while (i<6)
   {
      if (freq > freq_note_list[current].max_freq)
         current = freq_note_list[current].right;
      else if (freq < freq_note_list[current].min_freq)
         current = freq_note_list[current].left;
      else
         return (freq_note_list[current]);
      i++;
   }
   return (error);
}
