/* 11/15  The purpose of this file is to read the data in from a file to an 
          array of structures.  The input will be a pointer which is the 
          address of the first element for the array 
*/

#include "note.h"
#include <stdio.h>

void make_tree(NOTE_TRAIT* freq_name_list)
{
   FILE *data_file;
   char junk[3];
   int i;
   
   data_file = fopen("binary_tree.dat","r");
   for(i=0;i<NUM_NOTES;i++)
   {
       fscanf(data_file,"%f %s %d %f %f %d %d",
	   &freq_name_list[i].freq,
	   freq_name_list[i].name,
           &freq_name_list[i].code,
	   &freq_name_list[i].max_freq,
	   &freq_name_list[i].min_freq,
	   &freq_name_list[i].left,
	   &freq_name_list[i].right);
       fgets(junk,5,data_file); /* carriage returns */
   }
   fclose(data_file);
   return;
}
