/* function to traverce the notelist, setting the name and code for each note */

#include "note.h"
#include <stdlib.h>

void set_name_and_code(NOTE* note_list, NOTE_TRAIT* tree)
{
   NOTE* current_note;
   NOTE_TRAIT matching_note;
   NOTE_TRAIT freq_to_name(float, NOTE_TRAIT*);
   int i;

   current_note = note_list;
   i = 0;
   while (current_note != NULL)
   {
      matching_note = freq_to_name(current_note[0].freq,tree); /* note that most closely matches */
      current_note[0].name = matching_note.name; /* name it -- ex A4+ */
      current_note[0].code = matching_note.code; /* code is for interval determination */
      current_note = current_note[0].next_note;  /* do the next one */
   }
}
