#ifndef GUI_H
#define GUI_H  (1)

#include <X11/Xatom.h>
#include <X11/Intrinsic.h>
#include <X11/Shell.h>
#include <X11/Xlib.h>
#include <Xm/Xm.h>
#include <Xm/XmP.h>
#include <Xm/DrawingA.h>
#include <Xm/MainW.h>
#include <Xm/Form.h>
#include <Xm/Frame.h>
#include <Xm/Label.h>
#include <Xm/ScrollBar.h>
#include <Xm/ScrolledW.h>
#include <Xm/ToggleB.h>
#include <Xm/ToggleBG.h>
#include <Xm/FileSB.h>
#include <Xm/PushBG.h>
#include <Xm/PushB.h>
#include <Xm/LabelG.h>
#include <Xm/RowColumn.h>
#include <Xm/Scale.h>
#include <Xm/Separator.h>
#include <Xm/Text.h>
#include <Xm/TextF.h>
#include <Xm/DrawnB.h>

void MakeTuneButton();
void MakeStopButton();
void MakeRecordButton();
void MakeStopRecordButton();
void SetupTunerGC();
void SetupIntervalGC();

extern void OptionsCB();
extern void TunerCB();
extern void TuneCB();
extern void StopCB();
extern void IntervalCB();
extern void StopRecordCB();
extern void NextIntervalCB();
extern void RecordCB();
extern void ClearStaffCB();
extern void DrawTunerStaff();
extern void DrawIntervalStaff();

#endif  /* GUI_H */
