/****************************************************************/
/*  Name: interval.cc						*/
/*  11/29/96							*/
/*								*/
/*  this function builds an interval list of notes and updates	*/
/*  the GUI with the requested interval information.		*/
/*								*/
/****************************************************************/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include "note.h"


void interval(NOTE* note_list)
{
	extern NOTE* interval_list;
	extern NOTE* ptr1;
	extern NOTE* ptr2;
	NOTE* noteptr;
	NOTE* temp1;
	NOTE* temp2;
	int compare=0;
	int interval=0;
	int flag1=0;	
	char int_name[10];

	temp1=NULL;
	temp2=NULL;

	/*update the interval list*/
	noteptr=note_list;

	if(interval_list!=NULL)
	{
			
		temp1=interval_list;
		temp2=interval_list->next_note;

		while(noteptr!=NULL)
		{
	
			if(temp2!=NULL)
			{
	
				if(flag1==0)
				{		
					temp2=interval_list->next_note;
					flag1++;
				}	
				if(noteptr->freq>temp2->freq)
				{
	
					temp1=temp2;
					temp2=temp2->next_note;
				}
				else 
				{
					compare=strcmp(noteptr->name,temp2->name);
		
					if((strcmp(noteptr->name,temp2->name))&&(strcmp(noteptr->name,temp1->name)))
					{
	
						temp1->next_note=(NOTE*)malloc(sizeof(NOTE));
						*temp1->next_note=*noteptr;
						temp1=temp1->next_note;
						temp1->next_note=temp2;		
						noteptr=noteptr->next_note;
					}
					else
					{
						noteptr=noteptr->next_note;
					}
				}
			}
			else
			{
				compare=strcmp(noteptr->name,temp1->name);
				if(compare==0)
				{
					noteptr=noteptr->next_note;
				}
				else if((compare!=0)&&(noteptr->freq>temp1->freq))
				{
					temp2=(NOTE*)malloc(sizeof(NOTE));
					*temp2=*noteptr;	
					temp1->next_note=temp2;
					temp2->next_note=NULL;	
					noteptr=noteptr->next_note;
					flag1++;	
				}
				else if((compare!=0)&&(noteptr->freq<interval_list->freq))
				{
					interval_list=(NOTE*)malloc(sizeof(NOTE));
					*interval_list=*noteptr;
					interval_list->next_note=temp1;			
					noteptr=noteptr->next_note;
				}
					
			}
		}
	}
	else  /*create the interval list*/ 
	{

		interval_list=(NOTE*)malloc(sizeof(NOTE));
		*interval_list=*noteptr;
		interval_list->next_note=NULL;
		noteptr=noteptr->next_note;
		temp1=interval_list;
	
		while(noteptr!=NULL)
		{
		
			temp1->next_note=(NOTE*)malloc(sizeof(NOTE));
			*temp1->next_note=*noteptr;	
			temp1=temp1->next_note;
			temp1->next_note=NULL;
			noteptr=noteptr->next_note;
		}
	}
												
	/* calculate the intervals for the notes */

	ptr1=interval_list;
	ptr2=interval_list;

	while(ptr1!=NULL)
	{
	if((ptr1==NULL)&&(ptr2==NULL))
	{

		ptr1=interval_list;
		ptr2=interval_list->next_note;
		if(ptr2!=NULL)
		{
	
			interval=(ptr2->code)-(ptr1->code);
		}
		else
		{
			interval=0;
		}
	}
	else  
	{
	
		if(ptr2!=NULL)
		{
			ptr2=ptr2->next_note;
			if(ptr2!=NULL)
				interval=(ptr2->code)-(ptr1->code);
		}
		else 
		{
	
			ptr1=ptr1->next_note;	
			ptr2=ptr1;	
			interval=0;
		} 
	}

	
	/* case statement to prepare to update GUI*/

	if(interval<0)
	{
		interval=interval+12;
	}
	if((ptr1!=NULL)&&(ptr2!=NULL))
	{
	switch (interval)
	{
		case 0:
		  	strcpy(int_name,"P0");
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr1->name,int_name);
		  	break;

		case 1:
		   	strcpy(int_name,"m2");
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;		
		case 2:
			strcpy(int_name,"M2");
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;	
		case 3:
			strcpy(int_name,"m3");
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;
		case 4:
			strcpy(int_name,"M3");
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;	
		case 5:
		   	strcpy(int_name,"P4");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 6:
		   	strcpy(int_name,"TT");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 7:
		   	strcpy(int_name,"P5");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 8:
		   	strcpy(int_name,"m6");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 9:
		   	strcpy(int_name,"M6");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 10:
		   	strcpy(int_name,"m7");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 11:
		   	strcpy(int_name,"M7");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;

		case 12:
		   	strcpy(int_name,"P8");	
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break;
		
		default:
		   	strcpy(int_name,"it's ISIP");	
		   	printf("\n%s %s %s",ptr1->name,ptr2->name,int_name);
		   	printf("\nThe interval between %s and %s is %s.",ptr1->name,ptr2->name,int_name);
			break; 
	}
	}
	/*update GUI */
	}
printf("\n");
}
